Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_AIOCB_Asynch_Operation Class Reference

This class implements for (Asynchronous I/O Control Blocks) based implementation of Proactor. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_AIOCB_Asynch_Operation

[legend]
Collaboration diagram for ACE_POSIX_AIOCB_Asynch_Operation:

[legend]
List of all members.

## Public Methods
ACE_POSIX_AIOCB_Proactor* | posix_proactor (void) const
| Return the underlying Proactor implementation.
## Protected Methods
| ACE_POSIX_AIOCB_Asynch_Operation (ACE_POSIX_AIOCB_Proactor *posix_aiocb_proactor)
| Contructor.
virtual | ~ACE_POSIX_AIOCB_Asynch_Operation (void)
| Destructor.
virtual int | register_and_start_aio (ACE_POSIX_Asynch_Result *result, int op)
| This is the method which does the real work to start aio and should be used instead of shared_read/shared_write <op> means operation : 0 - read , 1 - write.
## Protected Attributes
ACE_POSIX_AIOCB_Proactor* | posix_aiocb_proactor_

## Detailed Description

This class implements for (Asynchronous I/O Control Blocks) based implementation of Proactor.

## Constructor & Destructor Documentation

ACE_POSIX_AIOCB_Asynch_Operation::ACE_POSIX_AIOCB_Asynch_Operation ( | ACE_POSIX_AIOCB_Proactor * posix_aiocb_proactor )`[protected]`

| Contructor.

ACE_POSIX_AIOCB_Asynch_Operation::~ACE_POSIX_AIOCB_Asynch_Operation ( | void )`[protected, virtual]`

| Destructor.

## Member Function Documentation

ACE_POSIX_AIOCB_Proactor * ACE_POSIX_AIOCB_Asynch_Operation::posix_proactor ( | void ) const

| Return the underlying Proactor implementation.

int ACE_POSIX_AIOCB_Asynch_Operation::register_and_start_aio ( | ACE_POSIX_Asynch_Result * result,
| int op )`[protected, virtual]`

| This is the method which does the real work to start aio and should be used instead of shared_read/shared_write <op> means operation : 0 - read , 1 - write.

## Member Data Documentation

ACE_POSIX_AIOCB_Proactor * ACE_POSIX_AIOCB_Asynch_Operation::posix_aiocb_proactor_`[protected]`

| It is easy to get this specific implementation proactor here, since it is the one that creates the correct POSIX_Asynch_* objects. We can use this to get to the implementation proactor directly.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp